Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1701888 - carbonate fails to install due to missing depndencies
Summary: carbonate fails to install due to missing depndencies
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: carbonate
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-04-22 12:24 UTC by Miro Hrončok
Modified: 2023-09-14 05:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:45 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-04-22 12:24:58 UTC
$ mock -r fedora-rawhide-x86_64 install carbonate
...
Error: 
 Problem: conflicting requests
  - nothing provides python2-carbon needed by carbonate-1.0.1-4.fc29.noarch

Comment 1 Miro Hrončok 2019-04-29 20:06:17 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 2 Piotr Popieluch 2019-04-30 08:06:23 UTC
Working in py3 support upstream.

Comment 3 Piotr Popieluch 2019-04-30 08:52:50 UTC
https://github.com/graphite-project/carbonate/pull/107

Comment 4 Miro Hrončok 2019-07-22 13:04:23 UTC
Excellent news! That PR was merged. Could you please backport it?

$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install carbonate
Problem: conflicting requests
 - nothing provides python2-carbon needed by carbonate-1.0.1-4.fc29.noarch

Comment 5 Ben Cotton 2019-08-13 16:49:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Miro Hrončok 2019-08-21 15:47:15 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 7 Miro Hrončok 2019-08-28 11:16:18 UTC
This was already retired due to FTBFS.

Comment 8 Miro Hrončok 2019-08-30 11:57:54 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 9 Adam Williamson 2019-08-30 16:14:29 UTC
Unproposing per https://pagure.io/fesco/issue/2216#comment-594033 . Please only propose bugs where an update was actually pending before the 29th, unless there is a more urgent reason why that package specifically should get an FE.

Comment 10 Miro Hrončok 2019-08-31 07:39:45 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.

Comment 11 Red Hat Bugzilla 2023-09-14 05:27:20 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.